org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class FilterOptimizer.FilterFinder

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.FilterOptimizer.FilterFinder

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>
  Enclosing class:
    FilterOptimizer

      protected static class FilterOptimizer.FilterFinder
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TupleExpr` | `tupleExpr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterFinder(TupleExpr tupleExpr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `meet(Filter filter)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tupleExpr

          protected final TupleExpr tupleExpr

  - ### Constructor Detail

    - #### FilterFinder

          public FilterFinder(TupleExpr tupleExpr)

  - ### Method Detail

    - #### meet

          public void meet(Filter filter)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.